Page MenuHomePhabricator

Conduct Edit Cards v2 on-wiki test
Closed, ResolvedPublic

Description

This task involves the work with:

  • Publishing the on-wiki test for Edit Cards v2
  • Synthesizing and publishing the contributor feedback we receive via the on-wiki test

Test details

"Done"

  • Test posted
  • Feedback synthesized and published on Edit Cards project page: /Edit Cards

Event Timeline

ppelberg created this task.Jul 9 2019, 9:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2019, 9:16 PM
ppelberg updated the task description. (Show Details)Jul 9 2019, 11:32 PM

Update | 9 July

Next steps

ppelberg added a comment.EditedJul 10 2019, 11:40 PM

Next steps

Update | 10 July

Next steps

  • Post update to main project page announcing:
    • Edit Cards v2.0 test
    • Summary of Edit Cards v1.0 test
ppelberg updated the task description. (Show Details)Jul 10 2019, 11:42 PM
ppelberg added a comment.EditedJul 17 2019, 7:22 PM

Anything actionable related to the deployment of Edit Cards v2 is now represented in the task description of this ticket: T227894

Learnings

The below come from Editor testing Etherpad
Ideas

  • Have the test instructions be translated into multiple languages
  • Create testing articles in multiple languages
  • Have the testing wiki more closely resemble a live wiki (i.e. create more articles so wikilink searches return more results)

Open

  • How can we have more experienced *mobile* contributors participate?

What flows worked

  • Add a new link
  • Change the target of an existing link to another Wikipedia article
  • Change the target of an existing link to an external link
  • Remove an existing link

What flows can be improved

Editing a link label

  • Confusion about not landing back on the Edit Card after having changed link
  • Tap "Edit" link label > all of the text in the label is selected...this means any keystroke will delete the entire label
  • Not being clear what to do after tapping the "✎" to edit the link's label
  • Tap "Edit" link label > expects to remain in the cards vs. being put back in the document
  • Confused edit card doesn't appear after double-tapping on an existing link

Adding an external link

  • Not clear what the "?" icon in article search results means
  • Not clear what an "external link" means

Suggested tweaks

Editing a link label

  • Implement a more structured approach to editing an existing link's label, like what we've talked about here: T225725#5269098
  • Default to having a tap on the "edit link label" edit pencil default to the cursor being placed within the label rather than the entirety of the label being highlighted. See: T228227

cc @iamjessklein

Since the feedback is done and the actionable next steps are identified, can we close this ticket?
cc @JTannerWMF @ppelberg

This task is still open because it is waiting for @ppelberg to post the results

ppelberg closed this task as Resolved.Jun 5 2020, 1:39 AM